%define upstream_name    Dist-Zilla-Plugin-SchwartzRatio
%define upstream_version 0.2.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Display the Schwartz ratio of the distribution upon release
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
The Schwartz Ratio of CPAN is the number of number of latest releases over
the total number of releases that CPAN has. For a single distribution, it
boils down to the less exciting number of previous releases still on CPAN.

After a successful release, the plugin displays the releases of the
distribution still kickign around on CPAN, just to give an idea to the
author that maybe it's time to do some cleanup.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE SIGNATURE INSTALL META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-7.mga6
+ Revision: 1026574
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.2.0-6.mga6
+ Revision: 932547
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-5.mga5
+ Revision: 743362
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.0-3.mga4
+ Revision: 511129
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 366427
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.2.0-1.mga3
+ Revision: 267239
- imported package perl-Dist-Zilla-Plugin-SchwartzRatio


* Mon Jul 02 2012 cpan2dist 0.2.0-1mga
- initial mageia release, generated with cpan2dist
